Bug 851889 (libmate) - Review Request: libmate -- MATE Desktop base libraries
Summary: Review Request: libmate -- MATE Desktop base libraries
Status: CLOSED ERRATA
Alias: libmate
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: Unspecified Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: MATE-DE-tracker
TreeView+ depends on / blocked
 
Reported: 2012-08-26 23:26 UTC by Dan Mashal
Modified: 2012-09-17 23:47 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-03 00:47:47 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rdieter: fedora-review+
limburgher: fedora-cvs+


Attachments (Terms of Use)

Description Dan Mashal 2012-08-26 23:26:08 UTC
Spec URL: http://vicodan.fedorapeople.org/matespec/libmate.spec
SRPM URL: http://vicodan.fedorapeople.org/materpms/srpms/libmate-1.4.0-1.fc17.src.rpm
Description: MATE Desktop base libraries

Comment 1 Rex Dieter 2012-08-26 23:53:27 UTC
1. MUST: simplify %files  devel includes to just
%{_includedir}/libmate-2.0/
so  the parent and all subdirs are owned too.

2. MUST move
%{_datadir}/gtk-doc/html/libmate/
to  -devel, these items are usually developer/api documentation (unless you have reason  to believe otherwise).

3. SHOULD remove
%pre
/sbin/ldconfig
(not needed here, just %post,  %postun)

4. SHOULD  consider simplifying mate-conf-related scriptlets.  I believe it's possible to  list them all at once, instead of one per line,  but I'll leave that to your  discretion.

Comment 2 Dan Mashal 2012-08-26 23:59:55 UTC
Fixed.

Left mate conf scriptlets alone for now. Knew about that, did it on purpose for now.

Spec URL: http://vicodan.fedorapeople.org/matespec/libmate.spec
SRPM URL: http://vicodan.fedorapeople.org/materpms/srpms/libmate-1.4.0-2.fc17.src.rpm
Description: MATE Desktop base libraries

Comment 3 Rex Dieter 2012-08-27 00:19:43 UTC
naming: ok

license: ok

sources:  ok
12cbd0c29abf817501ce8c5233f5aa4e  libmate-1.4.0.tar.xz

macros: ok

scriptlets: ok

SHOULD: occurs to me the schema files under
%{_sysconfdir}/mateconf/schemas
probably ought not be marked as %config , in spite of rpmlint


looks good, APPROVED.

Comment 4 Dan Mashal 2012-08-27 00:22:11 UTC
New Package SCM Request
=======================
Package Name: libmate
Short Description: MATE Desktop base libraries
Owners: vicodan rdieter
Branches: f16 f17 f18

Comment 5 Gwyn Ciesla 2012-08-27 01:50:52 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2012-08-27 03:16:27 UTC
libmateweather-1.4.0-4.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/libmateweather-1.4.0-4.fc17

Comment 7 Fedora Update System 2012-08-27 03:16:41 UTC
libmateweather-1.4.0-4.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/libmateweather-1.4.0-4.fc18

Comment 8 Dan Mashal 2012-08-27 03:17:21 UTC
Sorry about that. Wrong bug number. ;)

Comment 9 Fedora Update System 2012-08-27 03:37:43 UTC
libmate-1.4.0-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/libmate-1.4.0-2.fc17

Comment 10 Fedora Update System 2012-08-27 03:37:56 UTC
libmate-1.4.0-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/libmate-1.4.0-2.fc18

Comment 11 Fedora Update System 2012-08-27 16:32:12 UTC
libmate-1.4.0-2.fc18 has been pushed to the Fedora 18 testing repository.

Comment 12 Fedora Update System 2012-09-03 00:47:47 UTC
libmate-1.4.0-2.fc17 has been pushed to the Fedora 17 stable repository.

Comment 13 Fedora Update System 2012-09-17 23:47:03 UTC
libmate-1.4.0-2.fc18 has been pushed to the Fedora 18 stable repository.


Note You need to log in before you can comment on or make changes to this bug.